Badlands - Companion
=====

[![Documentation Status](https://readthedocs.org/projects/badlands/badge/?version=latest)](https://badlands.readthedocs.io/en/latest/?badge=latest)      [![DOI](https://zenodo.org/badge/51286954.svg)](https://zenodo.org/badge/latestdoi/51286954)

<div align="center">
    <img width=1000 src="https://github.com/badlands-model/badlands/blob/master/badlands/docs/img/view.jpg?raw=true" alt="sketch Badlands" title="sketch of Badlands range of models."</img>
</div>


Basin and Landscape Dynamics (Badlands) is a long-term surface evolution model built to simulate landscape development, sediment transport and sedimentary basins formation from upstream regions down to marine environments.


> This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.


## What’s in the box?

Badlands is an open-source Python-based code and can be used to simulate:

+ hillslope processes (linear & non-linear diffusion),
+ fluvial incision (Stream Power Law, Transport Capacity Law)
+ sediment transport and deposition,
+ wave-induced longshore drift transport,
+ reef growth and carbonate platform formation,
+ submarine gravity currents (turbidity currents),
+ spatially and temporally varying tectonic (horizontal + vertical displacements) and
+ effects of climate changes (rainfall) and/or sea-level fluctuations.


## Documentation & Installation

**https://badlands.readthedocs.io/**
